#
# Copyright (C)  Heinz Mauelshagen, 2004 Red Hat GmbH. All rights reserved.
#
# See file LICENSE at the top of this source tree for license information.
#

Summary: dmraid (Device-mapper RAID tool and library)
Name: dmraid
Version: 1.0.0.rc5f
Release: rhel4.1
License: GPL
Group: System Environment/Base
URL: http://people.redhat.com/heinzm/sw/dmraid
Source: dmraid-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: device-mapper
# Patch0: maybelater.patch

ExcludeArch:	alpha
ExcludeArch:	ia64
ExcludeArch:	ppc
ExcludeArch:	ppc64
ExcludeArch:	s390
ExcludeArch:	s390x
ExcludeArch:	x86_64

%description
DMRAID supports RAID device discovery, RAID set activation and display of
properties for ATARAID on Linux >= 2.4 using device-mapper.

%prep
%setup -q -n dmraid/%{version}

%build
%configure --prefix=${RPM_BUILD_ROOT}/usr --sbindir=${RPM_BUILD_ROOT}/sbin --libdir=${RPM_BUILD_ROOT}/%{_lib} --mandir=${RPM_BUILD_ROOT}/%{_mandir} --enable-debug
make DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG CREDITS KNOWN_BUGS LICENSE LICENSE_GPL LICENSE_LGPL README TODO
/%{_mandir}/man8/*
/sbin/*

%changelog

* Fri Dec 09 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0.rc5f
- added NVidia metadata format handler (#130324)
- quorate SIL metadata copies
- partition name suffix to make GRUB happy
- sorting order of stacked subset enhanced
  (RAID10; hpt37x, hpt45x, lsi, nvidia and sil)
- started event methods implementation in metadata format handlers
- output linefeed to .offset files for better readability (-r -D)
- use /sys/block/*/removable to avoid acessing removable devices
- display of spare devices with -r -c...
- enhanced spare device handling
- '-h' option doesn't need to stand alone any more
- -s displays top level sets only. "-s -s" shows subsets as well.
- -f allows partial qualification of format names now
  (eg, "dmraid -f hpt -r" will search for hpt37x and hpt45x formats)
- make suffix in hpt45x set names numeric
- HPT37x metadata format handler RAID10 grouping logic
- HPT37x/HPT45x avoid devision by zero bug
  in case ->raid_disks is zero for spares
- avoid devision by zero bug in case of stride = 0
- SIL device names / checksums
- calc_total_sectors() on unsymmetric mirrors
- perform() could return an error without releasing a lock

* Fri Nov 26 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0.rc5f
- specfile cleanup

* Tue Aug 20 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-rc4-pre1
- Removed make flag after fixing make.tmpl.in

* Tue Aug 18 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-rc3
- Added make flag to prevent make 3.80 from looping infinitely

* Thu Jun 17 2004 Heinz Mauelshagen <heinzm@redhat.com> 1.0.0-pre1
- Created
